<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<%@ taglib prefix="app" tagdir="/WEB-INF/tags" %>

<style>
    .ibox-content {
        word-wrap: break-word;
    }
</style>
<div class="modal inmodal" id="activity-detail" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:101">
    <div class="modal-dialog modal-lg" style="width:750px;">
        <div class="modal-content animated bounceInRight">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span
                        class="sr-only">Close</span></button>
                <h4 class="modal-title">勘查详情</h4>
            </div>
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">
                    <div class="ibox float-e-margins">
                        <div id="detail-activity-info-area"></div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">关 闭</button>
            </div>
        </div>
    </div>
</div>


<div id="activity-info-html" class="hide">
    <div class="ibox-content">
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>企业名称：</dt>
                    <dd id="comName"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第一阶段勘查人员：</dt>
                    <dd id="person1"></dd>
                </dl>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>勘查时间：</dt>
                    <dd id="surveyDate1"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第一阶段勘查报告：</dt>
                    <dd>
                        <a id="report1Link" href=''>下载</a>
                        |
                        <a id="report1Preview" target='_blank' onclick='previewFileAddUrl(this)'>在线预览</a>
                    </dd>
                </dl>
            </div>
        </div>


        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第二阶段勘查人员：</dt>
                    <dd id="person2"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>勘查时间：</dt>
                    <dd id="surveyDate2"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第二阶勘查报告：</dt>
                    <dd>
                        <a id="report2Link" href=''>下载</a>
                        |
                        <a id="report2Preview" target='_blank' onclick='previewFileAddUrl(this)'>在线预览</a>
                    </dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第三阶段勘查人员：</dt>
                    <dd id="person3"></dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>勘查时间：</dt>
                    <dd id="surveyDate3"></dd>
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>第三阶勘查报告：</dt>
                    <dd>
                        <a id="report3Link" href=''>下载</a>
                        |
                        <a id="report3Preview" target='_blank' onclick='previewFileAddUrl(this)'>在线预览</a>
                    </dd>
                </dl>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                </dl>
            </div>
            <div class="col-lg-12">
                <dl class="dl-horizontal">
                    <dt>最后更新时间：</dt>
                    <dd id="updateTime"></dd>
                </dl>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript">
    function showGatherDetailPanel(id) {
        $("#activity-detail").modal();
        var myData = getData(id);
        for (var key in myData) {
            $("#" + key).html(myData[key]);
        }
        $("#report3Link").attr('href', myData["report3"]);
        $("#report2Link").attr('href', myData["report2"]);
        $("#report1Link").attr('href', myData["report1"]);

        var activityHtml = $("#activity-info-html").html();
        $("#detail-activity-info-area").html(activityHtml);

        $(".has-error").each(function (i, e) {
            $(e).removeClass("has-error");
        })
    }

    /**
     * 获取详情
     * @param id
     * @returns {*}
     */
    function getData(id) {
        var workflow;
        $.ajax({
            url: "<c:url value='/business/activitySurvey/findActivitySurveyDetailData/"+id+".json'/>",
            type: 'post',
            async: false,
            dataType: 'json',
            success: function (data) {
                workflow = data;
            }
        })
        return workflow;
    }

    /**
     *
     */
    function previewFileAddUrl(sign) {
        if (sign.id == "report1Preview")
            previewFile($("#report1Link").attr('href'));
        if (sign.id == "report2Preview")
            previewFile($("#report2Link").attr('href'));
        if (sign.id == "report3Preview")
            previewFile($("#report2Link").attr('href'));
    }
</script>
